org.faceless.pdf2.viewer2.feature

## Class SelectArea

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.ToggleViewerWidget
      - - org.faceless.pdf2.viewer2.feature.AbstractRegionSelector
        - - org.faceless.pdf2.viewer2.feature.SelectArea

- All Implemented Interfaces:
    DocumentPanelListener, PagePanelInteractionListener

      public class SelectArea
      extends AbstractRegionSelector

  An `AbstractRegionSelector` that allows a rectangular to be selected for PDF operations. Once selected, this class will look for any features that implement `AreaSelectionAction` and allow for the user to choose from them when the area is right-clicked. The name of this feature is SelectArea

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.11.25
  See Also:
    `TextTool`, `AreaSelectionAction`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectArea()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(PagePanel panel, Point2D start, Point2D end)` Called when an area of the PDF has been selected.
    `protected JComponent` | `createRubberBoxComponent()` Create the JComponent that it used to display the "rubber box".
    `protected void` | `updateViewport(DocumentViewport viewport, boolean selected)` Called from `ToggleViewerWidget.setSelected(boolean)`, this method is called in each viewport in use by the `PDFViewer` or `DocumentPanel` so it can update its status.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.feature.AbstractRegionSelector

      `action, documentUpdated, initialize, pageAction, paintRubberBandComponent`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ToggleViewerWidget

      `getGroupName, getGroupOwner, getGroupSelection, getWidgets, isSelected, setGroupOwner, setSelected`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `createActionListener, getComponent, getIcon, getViewer, isButtonEnabledByDefault, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectArea

          public SelectArea()

  - ### Method Detail

    - #### updateViewport

          protected void updateViewport(DocumentViewport viewport,
                                        boolean selected)

      Description copied from class: `ToggleViewerWidget`
      Called from `ToggleViewerWidget.setSelected(boolean)`, this method is called in each viewport in use by the `PDFViewer` or `DocumentPanel` so it can update its status. By default it is a no-op.
      Overrides:
        `updateViewport` in class `AbstractRegionSelector`

    - #### createRubberBoxComponent

          protected JComponent createRubberBoxComponent()

      Description copied from class: `AbstractRegionSelector`
      Create the JComponent that it used to display the "rubber box". If you need to display some custom appearance when overriding this class, this method should be overridden.
      Overrides:
        `createRubberBoxComponent` in class `AbstractRegionSelector`

    - #### action

          public void action(PagePanel panel,
                             Point2D start,
                             Point2D end)

      Description copied from class: `AbstractRegionSelector`
      Called when an area of the PDF has been selected.
      Overrides:
        `action` in class `AbstractRegionSelector`
      Parameters:
        `panel` - the PagePanel the selection was made on.
        `start` - the start point of the selection, in PDF-units
        `end` - the end point of the selection, in PDF-units

Copyright © 2001-2015 Big Faceless Organization